Subject: Re: Bug#49: Reported wine issue on Ubuntu oneiric not related to X2Go

From: Matthias Hellinghausen <[email-masked]>
Date: Mon, 22 Oct 2012 13:07:10 +0200

> reassign #49 not-a-bug
> tags #49 not-a-bug
> close #49
> thanks
>
> Hi Matthias,
>
> your reported issue is definitely not related to X2Go or any of its 
> components (as you already admitted in one of your earlier posts).
>
> I have tested wine on Ubuntu precise and it works flawlessly inside 
> X2Go sessions (latest packages in use).
>
> Greets,
> Mike
>

Hi Mike,

today I did some more research on our problem:

The first difference between our test-setup and the productive 
LTSP-servers is, that the LTSP-Servers run a 32-Bit OS within 
LXC-Containers...

Then I found out that the LD_LIBRARY_PATH in the x2go Session is set to 
"/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11".

When I unset the LD_LIBRARY_PATH or remove "/usr/lib/nx/X11/Xinerama", 
wine 1.2.3 works again on the LTSP-servers!

(...but it also works with wine version 1.3 and the library path set to 
Xinerama...)

So there must be a Problem with a Setup of 32 Bit, wine 1.2.3 and 
Xinerama...!?

Is it possible that the library path was not set within the x2go-session 
before?  Is there a special reason that the LD_LIBRARY_PATH ist set at all?

thanks in advance.

kind regards
Matthias

--
Dipl.-Ing.(FH)  Matthias Hellinghausen
EDV-Abteilung
BZD Gesellschaft f. Transfusionsmedizin Duisburg mbH
Königstrasse 63 - 47051 Duisburg

Tel.:    +49 (0) 203 - 300 95 8557
Fax:     +49 (0) 203 - 300 95 8564
Email:   [email-masked]

Sitz der Gesellschaft: Duisburg
Amtsgericht Duisburg HRB 4273
Geschäftsführung: Sybille Trobisch, Olaf Frahm